Credentials
Get a broker credential
Returns credential metadata without returning the secret value. The credential must belong to the account in the path. Users and API keys can read credentials in their organization. Service tokens require credential:read.
GET
/
v1
/
accounts
/
{account_id}
/
credentials
/
{credential_id}
Get a broker credential
curl --request GET \
--url https://api.anthid.com/v1/accounts/{account_id}/credentials/{credential_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.anthid.com/v1/accounts/{account_id}/credentials/{credential_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.anthid.com/v1/accounts/{account_id}/credentials/{credential_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2026-08-05T16:20:00Z",
"enabled": true,
"id": "550e8400-e29b-41d4-a716-446655440111",
"trading_account_id": "550e8400-e29b-41d4-a716-446655440000",
"updated_at": "2026-08-05T16:20:00Z",
"vault_object_id": "vault_object_01J4Q4Z7Q9J6M8T2H1N5K3P0RX",
"vault_object_name": "credential-550e8400-e29b-41d4-a716-446655440222-lightspeed-LS-123456-paper"
}"<string>""<string>""<string>""<string>""<string>""<string>"Authorizations
bearerAuthclientCredentialsapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Account id that owns the credential
Broker credential id to fetch
⌘I
Get a broker credential
